/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Irradiation Event X-Ray Mechanical Data
 */
public enum EnumCM_IrradiationEventXRayMechanicalData 
{
	//TID 10003C Irradiation Event XRay Mechanical Data
	CR_DR_MECHANICAL_CONFIGURATION("CR/DR Mechanical Configuration"),
	POSITIONER_PRIMARY_ANGLE("Positioner Primary Angle"),
	POSITIONER_SECONDARY_ANGLE("Positioner Secondary Angle"),
	POSITIONER_PRIMARY_END_ANGLE("Positioner Primary End Angle"),
	POSITIONER_SECONDARY_END_ANGLE("Positioner Secondary End Angle"),
	COLUMN_ANGULATION("Column Angulation"),
	TABLE_HEAD_TILT_ANGLE("Table Head Tilt Angle"),
	TABLE_HORIZONTAL_ROTATION_ANGLE("Table Horizontal Rotation Angle"),
	TABLE_CRADLE_TILT_ANGLE("Table Cradle Tilt Angle"),
	COMPRESSION_THICKNESS("Compression Thickness"),
	
;
	private String value;
	
	EnumCM_IrradiationEventXRayMechanicalData(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}